	SUBROUTINE PHOTO(WAIT)
C************************************************************
C
C  THIS ROUTINE IS USED TO DISABLE ALL SYSTEM DISPLAY FILES
C  LEAVING ONLY USER DISPLAY FILES. THIS WOULD BE USEFUL IF
C  A USER WANTED TO TAKE A PHOTOGRAPH. INSTEAD OF DISABLING
C  THE CHARACTER DISPLAY FILE (WHICH WOULD MAKE PROGRAM OUTPUT
C  INVISIBLE) THE CDF. IS CLEARED. ALSO A RETURN TO MONITOR
C  IS TAKEN TO HANG UP THE JOB AS LONG AS NECESSARY. THE
C  PROGRAM MAY BE CONTINUED BY TYPING THE MONITOR
C  COMMAND ".CONTINUE"
C
C  POSSIBLE ERRORS:
C	?PHOTO FAILS (BAD DISABLE)
C
C  ROUTINES CALLED:
C	MONRET - INVOKES A RETURN TO MONITOR
C	DISABL - DISABLES A DISPLAY FILE
C
C************************************************************
	IMPLICIT INTEGER (A - Z)
	COMMON /OPTBLK/ OPTION(10, 3), OPMSG, OPPTR, OPLIST
	LOGICAL WAIT

	IF(WAIT) CALL OPTOFF
	STATUS = 2
	MP = 4
	AP = 5

	CALL CLEAR
	CALL DISABL(STATUS)
	CALL DISABL(MP)
	CALL DISABL(AP)
	IF(STATUS * MP * AP .EQ. 0) GO TO 100
	IF(WAIT) CALL MONRET
	IF(WAIT .AND. OPLIST .NE. 0) CALL OPTON
	RETURN

100	CALL ERROR('%PHOTO FAILS (BAD DISABLE)', 0)
	RETURN
	END
